Page MenuHomePhabricator

elementary: rename Efl.Ui.Translatable -> Efl.Ui.L10n
ClosedPublic

Authored by cedric on Dec 21 2018, 3:00 PM.

Details

Summary

If we are to choose Efl.Ui.I18n for the internationalization support, the localization API
should be named accordingly L10n.
Depends on D7506

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Dec 21 2018, 3:00 PM
cedric requested review of this revision.Dec 21 2018, 3:00 PM
segfaultxavi accepted this revision.Dec 24 2018, 4:09 AM

Makes sense and does not cause build problems.

This revision is now accepted and ready to land.Dec 24 2018, 4:09 AM
This revision was automatically updated to reflect the committed changes.
kimcinoo added a subscriber: kimcinoo.EditedJan 2 2019, 3:10 PM

IMO i18n (https://phab.enlightenment.org/D7506) and l10n of EFL correspond with https://www.w3.org/International/questions/qa-i18n
Now I have got difference between i18n and l10n. Thank you.